---
title: NDEFRecord.lang
slug: Web/API/NDEFRecord/lang
tags:
  - NDEF
  - Reference
  - Web NFC
---
<p>{{Draft}}{{securecontext_header}}{{SeeCompatTable}}{{APIRef()}}</p>

<p class="summary"><span class="seoSummary">The <strong><code>lang</code></strong> property ofthe {{DOMxRef("NDEFRecord")}} interface is {{DOMxRef("USVString")}} containing the {{Glossary("language tag")}} of the record contents, if it is a vailable.</span></p>

<p>The record might be missing a language tag, for example, if the recorded information is not locale-specific.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>NDEFRecord</em>.lang</pre>

<h3 id="Value">Value</h3>

<p>A {{DOMxRef("USVString")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td><a href="https://w3c.github.io/web-nfc/#dom-ndefrecord-lang">Web NFC, NDEFRecord.lang</a></td>
   <td>Draft</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NDEFRecord.lang")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://developer.mozilla.org/docs/Web/HTML/Global_attributes/lang">HTML <code>lang</code> attribute</a>, that declares content langauge of the document or its elements</li>
 <li>HTTP headers that declare content language: {{HTTPHeader("Content-Language")}} and {{HTTPHEader("Accept-Language")}}</li>
</ul>
